Subject: [netext] FW: I-D Action: draft-ietf-netext-pmip6-qos-06.txt

From: John Kaippallimalil <[email-masked]>
Date: Tue, 19 Nov 2013 15:26:28 +0000

Hi,
Forwarding to the authors. 
Please have a look at Charlie's comments (in attachment below) on the PMIP QoS draft. 

Best Regards,
John 

-----Original Message-----
From: Charles E. Perkins [mailto:[email-masked]] 
Sent: Monday, November 18, 2013 7:55 PM
To: John Kaippallimalil; [email-masked]
Subject: Re: [netext] I-D Action: draft-ietf-netext-pmip6-qos-06.txt

Hello John and all,

I have reviewed the draft.  Attached, please find three files:
- The original file
- A file with comments embedded
- A file generated by rfcdiff showing my comments in context.

Some overall comments:
- Since LMA and MAG are defined early in the document, the
   abbreviations should be used consistently throughout the
   specification.  This will help a little bit to shorten the text.

- I'm a bit concerned about the definition provided for QoS Profile.
   It could be misinterpreted.  I think the intention is to have certain
   QoS profiles indexed locally by uniquely chosen profile identifiers.

- It seems incorrect to apply protocol mandates such as MUST to
   virtual structures such as Conceptual Binding Cache.

- The document is quite long and in some places verbose.  While
    this is a matter of personal preference, for me it increases the
    difficulty of actually reading the entire document.  If there is a
    convenient way of combining some of the descriptive text, that
    would make document review a good bit easier.

Given some corrections as indicated by my embedded comments, I think the document is in relatively good condition, and could be promulgated as a Standards after another cycle of reviews.

--
Regards,
Charlie P.